# FoundationClasses
TKernel
TColStd

# TColStd_DataMapNodeOfDataMapOfIntegerReal Class Reference

`#include <TColStd_DataMapNodeOfDataMapOfIntegerReal.hxx>`

Inheritance diagram for TColStd_DataMapNodeOfDataMapOfIntegerReal:

[legend]

## Public Member Functions

| TColStd_DataMapNodeOfDataMapOfIntegerReal (const Standard_Integer &K, const Standard_Real &I, const TCollection_MapNodePtr &n)
Standard_Integer & | Key () const
Standard_Real & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey
Standard_Real | myValue

## Constructor & Destructor Documentation

TColStd_DataMapNodeOfDataMapOfIntegerReal::TColStd_DataMapNodeOfDataMapOfIntegerReal | ( | const Standard_Integer & | K,
|  | const Standard_Real & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const TColStd_DataMapNodeOfDataMapOfIntegerReal::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

Standard_Integer& TColStd_DataMapNodeOfDataMapOfIntegerReal::Key | ( |  | ) | const

Standard_Real& TColStd_DataMapNodeOfDataMapOfIntegerReal::Value | ( |  | ) | const

## Field Documentation

Standard_Integer TColStd_DataMapNodeOfDataMapOfIntegerReal::myKey `[private]`

Standard_Real TColStd_DataMapNodeOfDataMapOfIntegerReal::myValue `[private]`

The documentation for this class was generated from the following file:

- TColStd_DataMapNodeOfDataMapOfIntegerReal.hxx